<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>cfg-ap.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>texte</object-name>
    <object-name>HDGknob</object-name>
    <object-name>NAVknob</object-name>
    <object-name>APRknob</object-name>
    <object-name>BCknob</object-name>
    <object-name>VORknob</object-name>
    <object-name>RNAVknob</object-name>
    <object-name>ALTknob</object-name>
    <object-name>ALTSELknob</object-name>
    <object-name>VSknob</object-name>
    <object-name>IASknob</object-name>
    <object-name>SBYknob</object-name>
    <object-name>FDknob</object-name>
    <object-name>HDGon</object-name>
    <object-name>NAVon</object-name>
    <object-name>APRon</object-name>
    <object-name>BCon</object-name>
    <object-name>VORon</object-name>
    <object-name>RNAVon</object-name>
    <object-name>ALTon</object-name>
    <object-name>ALTSELon</object-name>
    <object-name>VSon</object-name>
    <object-name>IASon</object-name>
    <object-name>SBYon</object-name>
    <object-name>FDon</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>texte</object-name>
    <object-name>HDGknob</object-name>
    <object-name>NAVknob</object-name>
    <object-name>APRknob</object-name>
    <object-name>BCknob</object-name>
    <object-name>VORknob</object-name>
    <object-name>RNAVknob</object-name>
    <object-name>ALTknob</object-name>
    <object-name>ALTSELknob</object-name>
    <object-name>VSknob</object-name>
    <object-name>IASknob</object-name>
    <object-name>SBYknob</object-name>
    <object-name>FDknob</object-name>
    <object-name>knobOn</object-name>
    <object-name>HDGon</object-name>
    <object-name>NAVon</object-name>
    <object-name>APRon</object-name>
    <object-name>BCon</object-name>
    <object-name>VORon</object-name>
    <object-name>RNAVon</object-name>
    <object-name>ALTon</object-name>
    <object-name>ALTSELon</object-name>
    <object-name>VSon</object-name>
    <object-name>IASon</object-name>
    <object-name>SBYon</object-name>
    <object-name>FDon</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>texte</object-name>
    <object-name>HDGknob</object-name>
    <object-name>NAVknob</object-name>
    <object-name>APRknob</object-name>
    <object-name>BCknob</object-name>
    <object-name>VORknob</object-name>
    <object-name>RNAVknob</object-name>
    <object-name>ALTknob</object-name>
    <object-name>ALTSELknob</object-name>
    <object-name>VSknob</object-name>
    <object-name>IASknob</object-name>
    <object-name>SBYknob</object-name>
    <object-name>FDknob</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>material</type>
    <object-name>HDGon</object-name>
    <object-name>NAVon</object-name>
    <object-name>APRon</object-name>
    <object-name>BCon</object-name>
    <object-name>VORon</object-name>
    <object-name>RNAVon</object-name>
    <object-name>ALTon</object-name>
    <object-name>ALTSELon</object-name>
    <object-name>VSon</object-name>
    <object-name>IASon</object-name>
    <object-name>SBYon</object-name>
    <object-name>FDon</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0 </red>
      <green> 2 </green>
      <blue>  0 </blue>
    </emission>
  </animation>

  <animation>
    <type>select</type>
    <object-name>NAVon</object-name>
    <object-name>APRon</object-name>
    <object-name>BCon</object-name>
    <object-name>VORon</object-name>
    <object-name>RNAVon</object-name>
    <object-name>ALTSELon</object-name>
    <object-name>VSon</object-name>
    <object-name>SBYon</object-name>
    <object-name>FDon</object-name>
    <condition>
      <property>false</property>
    </condition>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>HDGknob</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <binding>
        <command>property-assign</command>
        <property>/autopilot/locks/heading</property>
        <value type="string">dg-heading-hold</value> <!-- On  -->
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>HDGon</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <binding>
        <command>property-assign</command>
        <property>/autopilot/locks/heading</property>
        <value type="string"></value>                <!-- Off -->
      </binding>
    </action>
  </animation>

  <animation>
    <type>select</type>
    <object-name>HDGon</object-name>
    <condition>
      <equals>
        <property>/autopilot/locks/heading</property>
        <value type="string">dg-heading-hold</value> <!-- On  -->
      </equals>
    </condition>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>ALTknob</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <binding>
        <command>property-cycle</command>
        <property>/autopilot/locks/altitude</property>
        <value type="string">altitude-hold</value> <!-- On  -->
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>ALTon</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <binding>
        <command>property-cycle</command>
        <property>/autopilot/locks/altitude</property>
        <value type="string"></value>              <!-- Off -->
      </binding>
    </action>
  </animation>

  <animation>
    <type>select</type>
    <object-name>ALTon</object-name>
    <condition>
      <equals>
        <property>/autopilot/locks/altitude</property>
        <value type="string">altitude-hold</value> <!-- On  -->
      </equals>
    </condition>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>IASknob</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <binding>
        <command>property-assign</command>
        <property>/autopilot/locks/speed</property>
        <value type="string">speed-with-throttle</value> <!-- On  -->
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>IASon</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <binding>
        <command>property-assign</command>
        <property>/autopilot/locks/speed</property>
        <value type="string"></value>                    <!-- Off -->
      </binding>
    </action>
  </animation>

  <animation>
    <type>select</type>
    <object-name>IASon</object-name>
    <condition>
      <equals>
        <property>/autopilot/locks/speed</property>
        <value type="string">speed-with-throttle</value> <!-- On  -->
      </equals>
    </condition>
  </animation>

</PropertyList>
